Instalacja Android SDK i Eclipse w Ubuntu 64 bit

Jako, że wybieram się na Androidowy BIWAK na AGH, a w zaproszeniu napisane jest, aby przyjść z laptopem z zainstalowanym Eclipse i wtyczką ADT, postanowiłem przygotować mojego laptopa.

Na komputerze mam Ubuntu w wersji 64 bit. I tu pojawiają się problemy. Najpierw przy instalacji wtyczki ADT pojawił się błąd:

Cannot complete the install because one or more required items could
not be found.
Software being installed: Android Development Tools
0.9.5.v200911191123-20404 (com.android.ide.eclipse.adt.feature.group
0.9.5.v200911191123-20404)
Missing requirement: Android Development Tools
0.9.5.v200911191123-20404 (com.android.ide.eclipse.adt.feature.group
0.9.5.v200911191123-20404) requires ‘org.eclipse.wst.xml.ui 0.0.0′ but
it could not be found

Jak się okazało trzeba wcześniej dodać WST. Bardzo dziwne, że nie ma tego od razu w eclipsie.
Żeby to zrobić, trzeba wejść do menu “Help/Install New Software…” dodać http://download.eclipse.org/releases/galileo/ i tam zainstalować WST (w oknie filtra można wpisać ‚wst’, szybciej się znajdzie). Po tym wszystkim należy zrestartować eclipsa i przystąpić jeszcze raz do instalacji ADT.

Kolejny problem to biblioteki 32 bitowe, które są wymagane przez SDK. Aby to zrobić uruchamiamy komendę:

apt-get install ia32-libs

Po tych zabiegach, powinno się dać odpalić AVD manager, aby doinstalować potrzebne platformy i stworzyć wirtualne urządzenia. Manager nazywa się ‚android’ i znajduje się w katalogu tools SDK.
Można przystąpić do utworzenia nowego projektu aplikacji Android :)

Dodaj do: These icons link to social bookmarking sites where readers can share and discover new web pages.
  • Digg
  • Facebook
  • Google
  • Wykop


Advertisement

2 komentarzy do “Instalacja Android SDK i Eclipse w Ubuntu 64 bit”

  1. info.reembedded

    Wrz 01. 2010

  2. pibe

    Mar 03. 2011

    Bardzo fajny blok i ciekawe tematy. Już widzę, że się przyda. Dziękuję :)

Napisz Komentarz